#### D.6.6.1 sagbiAlg

Procedure from library `classify_aeq.lib` (see classify_aeq_lib).

Return:
  An ideal.The sagbi bases of I.

Example:

    LIB "classify_aeq.lib";
    ring R=0,t,ds;
    ideal I=t8,t10+t13,t12+t15;
    sagbiAlg(I);
    ==> _[1]=t8
    ==> _[2]=t10+t13
    ==> _[3]=t12+t15
    ==> _[4]=t23-t29
    ==> _[5]=t27
    I=t8,t10+t13,t12+2t15;
    sagbiAlg(I);
    ==> _[1]=t8
    ==> _[2]=t10+t13
    ==> _[3]=t12+2t15
    ==> _[4]=t27-3t33
    ==> _[5]=t29

User manual for Singular version 4.4.1, 2025, generated by texi2html.